#![allow(dead_code)]
use describer::{Describe, Describer};

#[derive(Describe)]
struct MyStruct {
    vec_u8s: Vec<u8>,
}

#[derive(Describe)]
struct MyTuple(u8, MyStruct);

fn main() {
    assert_eq!(
        MyTuple::describe(),
        "MyTuple(u8, MyStruct { vec_u8s: [u8] })"
    );
}
